//
//  Sample.h
//  SiiLibSample
//

#import <Foundation/Foundation.h>
#import "ViewController.h"
#import <SIIPrinterManager/SIIPrinterManager.h>

@interface SampleFunctions : NSObject

+ (void)InitialSetting;
+ (BOOL)connectSample:(NSInteger)model address:(NSString *)address type:(NSInteger)type;
+ (BOOL)disconnectSample;
+ (BOOL)standardModeSample;
+ (BOOL)printPageModeSample;
+ (BOOL)smartLabelSample;
+ (BOOL)displaySample;
+ (BOOL)sendDataFileSample:(NSString *)filePath;
+ (BOOL)printPDFSample:(NSString *)filePath;
+ (BOOL)openDrawerSample;
+ (void)startLanDiscoveryPrinterSample:(NSInteger)retryCount timeout:(NSInteger)timeout;
+ (BOOL)getPrinterDiscoveryCompletion;
+ (void)cancelDiscoveryPrinterSample;
+ (NSArray *)getFoundPrinterSample;
+ (NSString *)getVersionSample;
+ (NSInteger)get_sendTimeoutSample;
+ (NSInteger)set_sendTimeoutSample:(NSInteger)time;
+ (NSInteger)get_receiveTimeoutSample;
+ (NSInteger)set_receiveTimeoutSample:(NSInteger)time;
+ (NSInteger)get_socketKeepingTimeSample;
+ (NSInteger)set_socketKeepingTimeSample:(NSInteger)time;
+ (NSInteger)get_internationalCharacterSample;
+ (NSInteger)set_internationalCharacterSample:(NSInteger)internationalCharacter;
+ (NSInteger)get_codePageSample;
+ (NSInteger)set_codePageSample:(NSInteger)codePage;
+ (NSString *)getResultMessage;
+ (void)setDelegate:(ViewController *)view;
+ (void)disableDelegate;

@end

