//
//  SampleValue.h
//  SiiLibSample
//

#ifndef SiiLibSample_SampleValue_h
#define SiiLibSample_SampleValue_h

static NSString *const SII_EXTERNAL_ACCESSORY_PROTOCOL                  = @"com.sii-ps.siieap";

static NSString *const KEY_PRINTER_ADDRESS                              = @"KEY_PRINTER_ADDRESS";
static NSString *const KEY_PRINTER_PORT_TYPE                            = @"KEY_PRINTER_PORT_TYPE";
static NSString *const KEY_PRINTER_MODELNAME                            = @"KEY_PRINTER_MODELNAME";
static NSString *const KEY_TEXTFIELD_ADDRESS                            = @"KEY_TEXTFIELD_ADDRESS";

static NSString *const VALUE_PRINTER_ADDRESS                            = @"";
static NSString *const VALUE_PRINTER_PORT_TYPE                          = @"Other";
static NSString *const VALUE_PRINTER_MODELNAME                          = @"Not selected";
static NSString *const VALUE_TEXTFIELD_ADDRESS                          = @"Not selected";

static NSString *const STR_SUCCEEDED                                    = @"Succeeded";

static NSString *const PRINTER_PORT_TYPE_NAME_TCPIP                     = @"TCP/IP";
static NSString *const PRINTER_PORT_TYPE_NAME_BLUETOOTH                 = @"Bluetooth";
static NSString *const PRINTER_PORT_TYPE_NAME_USB                       = @"USB";
static NSString *const PRINTER_PORT_TYPE_NAME_OTHER                     = @"Other";

static NSString *const PRINTER_SERIES_NAME_RPD10                        = @"RP-D";
static NSString *const PRINTER_SERIES_NAME_RPE10                        = @"RP-E";
static NSString *const PRINTER_SERIES_NAME_RPF10                        = @"RP-F";
static NSString *const PRINTER_SERIES_NAME_DPUS                         = @"DPU-S";
static NSString *const PRINTER_SERIES_NAME_MPB20                        = @"MP-B20";
static NSString *const PRINTER_SERIES_NAME_MPB21L                       = @"MP-B21L";
static NSString *const PRINTER_SERIES_NAME_MPB30                        = @"MP-B30";
static NSString *const PRINTER_SERIES_NAME_MPB30L                       = @"MP-B30L";
static NSString *const PRINTER_SERIES_NAME_SLP72                        = @"SLP72";

static NSString *const PRINTER_MODEL_NAME_RPD10                         = @"RP-D10";
static NSString *const PRINTER_MODEL_NAME_RPE10                         = @"RP-E10";
static NSString *const PRINTER_MODEL_NAME_RPF10                         = @"RP-F10";
static NSString *const PRINTER_MODEL_NAME_DPUS245                       = @"DPU-S245";
static NSString *const PRINTER_MODEL_NAME_DPUS445                       = @"DPU-S445";
static NSString *const PRINTER_MODEL_NAME_MPB20                         = @"MP-B20";
static NSString *const PRINTER_MODEL_NAME_MPB21L                        = @"MP-B21L";
static NSString *const PRINTER_MODEL_NAME_MPB30                         = @"MP-B30";
static NSString *const PRINTER_MODEL_NAME_MPB30L                        = @"MP-B30L";
static NSString *const PRINTER_MODEL_NAME_SLP720RT                      = @"SLP720RT";
static NSString *const PRINTER_MODEL_NAME_UNKNOWN                       = @"Unknown";

static NSString *const KEY_TYPE_SOCKET_KEEP_TIME                        = @"KEY_TYPE_SOCKET_KEEP_TIME";
static NSString *const KEY_TYPE_SEND_TIMEOUT                            = @"KEY_TYPE_SEND_TIMEOUT";
static NSString *const KEY_TYPE_RECEIVE_TIMEOUT                         = @"KEY_TYPE_RECEIVE_TIMEOUT";
static NSString *const KEY_TYPE_CODEPAGE                                = @"KEY_TYPE_CODEPAGE";
static NSString *const KEY_TYPE_INTERNATIONAL_CHARACTER                 = @"KEY_TYPE_INTERNATIONAL_CHARACTER";

static NSString *const SETTINGS_SEND_TIMEOUT_SECTION                    = @"Send timeout(ms)";
static NSString *const SETTINGS_RECEIVE_TIMEOUT_SECTION                 = @"Receive timeout(ms)";
static NSString *const SETTINGS_SOCKET_KEEP_TIME_SECTION                = @"Socket Keeping time(ms)";
static NSString *const SETTINGS_CODEPAGE_SECTION                        = @"Code page";
static NSString *const SETTINGS_INTERNATIONAL_CHARACTER_SECTION         = @"International character";

static NSString *const SETTINGS_INTERNATIONAL_CHARACTER_USA             = @"USA";
static NSString *const SETTINGS_INTERNATIONAL_CHARACTER_FRANCE          = @"France";
static NSString *const SETTINGS_INTERNATIONAL_CHARACTER_GERMANY         = @"Germany";
static NSString *const SETTINGS_INTERNATIONAL_CHARACTER_ENGLAND         = @"United Kingdom";
static NSString *const SETTINGS_INTERNATIONAL_CHARACTER_DENMARK_1       = @"Denmark I";
static NSString *const SETTINGS_INTERNATIONAL_CHARACTER_SWEDEN          = @"Sweden";
static NSString *const SETTINGS_INTERNATIONAL_CHARACTER_ITALY           = @"Italy";
static NSString *const SETTINGS_INTERNATIONAL_CHARACTER_SPAIN           = @"Spain I";
static NSString *const SETTINGS_INTERNATIONAL_CHARACTER_JAPAN           = @"Japan";
static NSString *const SETTINGS_INTERNATIONAL_CHARACTER_NORWAY          = @"Norway";
static NSString *const SETTINGS_INTERNATIONAL_CHARACTER_DENMARK_2       = @"Denmark II";
static NSString *const SETTINGS_INTERNATIONAL_CHARACTER_SPAIN_2         = @"Spain II";
static NSString *const SETTINGS_INTERNATIONAL_CHARACTER_LATIN_AMERICA   = @"Latin America";
static NSString *const SETTINGS_INTERNATIONAL_CHARACTER_ARABIA          = @"Arabia";

static NSString *const SETTINGS_CODEPAGE_437                            = @"Codepage 437";
static NSString *const SETTINGS_CODEPAGE_KATAKANA                       = @"Codepage Katakana";
static NSString *const SETTINGS_CODEPAGE_850                            = @"Codepage 850";
static NSString *const SETTINGS_CODEPAGE_860                            = @"Codepage 860";
static NSString *const SETTINGS_CODEPAGE_863                            = @"Codepage 863";
static NSString *const SETTINGS_CODEPAGE_865                            = @"Codepage 865";
static NSString *const SETTINGS_CODEPAGE_857                            = @"Codepage 857";
static NSString *const SETTINGS_CODEPAGE_737                            = @"Codepage 737";
static NSString *const SETTINGS_CODEPAGE_1252                           = @"Codepage 1252";
static NSString *const SETTINGS_CODEPAGE_866                            = @"Codepage 866";
static NSString *const SETTINGS_CODEPAGE_852                            = @"Codepage 852";
static NSString *const SETTINGS_CODEPAGE_858                            = @"Codepage 858";
static NSString *const SETTINGS_CODEPAGE_855                            = @"Codepage 855";
static NSString *const SETTINGS_CODEPAGE_864                            = @"Codepage 864";
static NSString *const SETTINGS_CODEPAGE_1250                           = @"Codepage 1250";
static NSString *const SETTINGS_CODEPAGE_1251                           = @"Codepage 1251";
static NSString *const SETTINGS_CODEPAGE_1253                           = @"Codepage 1253";
static NSString *const SETTINGS_CODEPAGE_1254                           = @"Codepage 1254";

#endif
